X2Go Bug report logs - #572
x2goserver has the wrong logic for launching Cinnamon 2.0 and 2.2

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mirco Schmidt <mirco.schmidt@mac.com>

Date: Mon, 4 Feb 2013 12:48:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.15

Fixed in version 4.0.1.16

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#117; Package x2goserver. (Mon, 04 Feb 2013 12:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mirco Schmidt <mirco.schmidt@mac.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 04 Feb 2013 12:48:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mirco Schmidt <mirco.schmidt@mac.com>
To: submit@bugs.x2go.org
Subject: Make Cinnamon selectable
Date: Mon, 04 Feb 2013 13:36:24 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver
Severity: wishlist

Hi hi,

I tried to start cinnamon with this command: /usr/bin/gnome-session --session cinnamon2d but it fail's! If I set it to: /etc/X11/Xsession it should start the last session which is cinnamon but come's up with a XFCE session...
[12:18pm] 
[12:33pm]sunweaver:mirco, the command launched by X2Go does not accept cmdline parms. Write a shell wrapper on the server and execute that. Note: your wrapper must be in $PATH
[12:33pm]mirco:THX

made a wrapper like this and placed it in /usr/local/bin:

#!/bin/bash
/usr/bin/gnome-session --session cinnamon2d

[12:37pm]mirco:sadly I end up with a blank screen, beatified by the default debian Desktop background… Which is also my personal one!

Thank's in advance
Mirco
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#117; Package x2goserver. (Mon, 25 Mar 2013 23:27:55 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 25 Mar 2013 23:27:55 GMT) (full text, mbox, link).


Message #10 received at 117@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mirco Schmidt <mirco.schmidt@mac.com>, 117@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#117: Make Cinnamon selectable
Date: Tue, 26 Mar 2013 00:26:29 +0100
[Message part 1 (text/plain, inline)]
tag #117 pending
fixed #117 4.1.0.0
thanks

On Mo 04 Feb 2013 13:36:24 CET Mirco Schmidt wrote:

> Package: x2goserver
> Severity: wishlist
>
> Hi hi,
>
> I tried to start cinnamon with this command: /usr/bin/gnome-session  
> --session cinnamon2d but it fail's! If I set it to:  
> /etc/X11/Xsession it should start the last session which is cinnamon  
> but come's up with a XFCE session...
> [12:18pm]
> [12:33pm]sunweaver:mirco, the command launched by X2Go does not  
> accept cmdline parms. Write a shell wrapper on the server and  
> execute that. Note: your wrapper must be in $PATH
> [12:33pm]mirco:THX
>
> made a wrapper like this and placed it in /usr/local/bin:
>
> #!/bin/bash
> /usr/bin/gnome-session --session cinnamon2d
>
> [12:37pm]mirco:sadly I end up with a blank screen, beatified by the  
> default debian Desktop background… Which is also my personal one!
>
> Thank's in advance
> Mirco

X2Go Server now is Cinnamon aware. Use ,,CINNAMON'' as command (other  
desktop). This fix will be available in X2Go Server 4.1.0.0 and above.

http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=1de00f1102be015f6245ef2bc13c877a4c79fadd

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 25 Mar 2013 23:27:56 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 25 Mar 2013 23:27:56 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#117; Package x2goserver. (Tue, 26 Mar 2013 00:03:44 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 26 Mar 2013 00:03:44 GMT) (full text, mbox, link).


Message #19 received at 117@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mirco Schmidt <mirco.schmidt@mac.com>, 117@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#117: Make Cinnamon selectable
Date: Tue, 26 Mar 2013 01:03:36 +0100
[Message part 1 (text/plain, inline)]
clone #117 -1
tag -1 - pending
reassign -1 nxagent
retitle -1 Cinnamon desktop requires GLX extensions > v6
thanks


Hi Mirco,

On Mo 04 Feb 2013 13:36:24 CET Mirco Schmidt wrote:
> #!/bin/bash
> /usr/bin/gnome-session --session cinnamon2d
>
> [12:37pm]mirco:sadly I end up with a blank screen, beatified by the  
> default debian Desktop background… Which is also my personal one!

I just saw this little line (the one above).

This is probably related to this error:

"""
mike@sid:~& export DISPLAY=:50
mike@sid:~$ cinnamon2d
(cinnamon:14262): Clutter-CRITICAL **: Unable to initialize Clutter:  
Failed to connected to any renderer:
XServer appears to lack required GLX support
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Window manager error: Unable to initialize Clutter.
"""

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug 117 cloned as bug 150 Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 26 Mar 2013 00:04:34 GMT) (full text, mbox, link).


Removed tag(s) pending. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 26 Mar 2013 00:04:34 GMT) (full text, mbox, link).


Bug reassigned from package 'x2goserver' to 'nxagent'. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 26 Mar 2013 00:04:34 GMT) (full text, mbox, link).


No longer marked as fixed in versions 4.1.0.0. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 26 Mar 2013 00:04:34 GMT) (full text, mbox, link).


Changed Bug title to 'Cinnamon desktop requires GLX extensions > v6' from 'Make Cinnamon selectable' Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 26 Mar 2013 00:04:34 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#150; Package nxagent. (Sat, 09 Aug 2014 16:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 09 Aug 2014 16:15:02 GMT) (full text, mbox, link).


Message #34 received at 150@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 150@bugs.x2go.org
Subject: Cinnamon 1.4 worksforme
Date: Sat, 9 Aug 2014 12:14:08 -0400
[Message part 1 (text/plain, inline)]
I tested Cinnamon 1.4 and it appears to work work fine.

Perhaps this bug report needs to be retitled to state that only newer
versions of cinnamon that are affected?

This is just a VM I setup for the specific purpose of testing Cinnamon
compatibility with X2Go.

More details are below. Note that GLX is enabled, and I ran the
"Custom Desktop" command: gnome-session-cinnamon . "cinnamon2d" was
not present in this older version of Cinnamon.

----

I have the GLX extension enabled on my test system
(/etc/x2go/x2goagent.options has the line to disable GLX commented out)
- Linux mint 13 maya (based on Ubuntu 12.04 precise) 64-bit
- All latest level 1, 2 and 3 OS updates installed.
- cinnamon version: 1.4-UP3
- Cusstom Desktop specified in x2goclient: gnome-session-cinnamon
- x2goserver & x2goserver-xsession: 4.0.1.15-0~847~ubuntu12.04.1
- nxagent & x2goagent: 2:3.5.0.27-0~446~ubuntu12.04.1

I've attached the contents of my .xsession-x2go-errors file.

Note the following session files::
batmin@mint-m /usr/share/gnome-session/sessions $ ls
cinnamon.session  gnome-classic.session  gnome-fallback.session

batmin@mint-m /usr/share/gnome-session/sessions $ cat cinnamon.session
[GNOME Session]
Name=Cinnamon
RequiredComponents=cinnamon;gnome-settings-daemon;
IsRunnableHelper=/usr/lib/gnome-session/gnome-session-check-accelerated
FallbackSession=gnome-fallback
DesktopName=GNOME

batmin@mint-m /usr/share/xsessions $ ls
cinnamon.desktop  gnome-classic.desktop  gnome-fallback.desktop  ssh.desktop

batmin@mint-m /usr/share/xsessions $ cat cinnamon.desktop
[Desktop Entry]
Name=Cinnamon
Comment=This session logs you into Cinnamon
Exec=gnome-session-cinnamon
TryExec=/usr/bin/cinnamon
Icon=
Type=Application
X-Ubuntu-Gettext-Domain=cinnamon

batmin@mint-m /usr/share/xsessions $ cat /usr/bin/gnome-session-cinnamon
#! /bin/sh
exec gnome-session --session cinnamon "$@"
[mint-m cinnamon 1.4UP3 xsession-x2go-errors.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#150; Package nxagent. (Sat, 09 Aug 2014 17:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 09 Aug 2014 17:50:02 GMT) (full text, mbox, link).


Message #39 received at 150@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 150@bugs.x2go.org
Subject: Cinnamon 2.2 does not work
Date: Sat, 9 Aug 2014 13:49:10 -0400
[Message part 1 (text/plain, inline)]
I just tested Cinnamon 2.2.13 and it does not work properly with X2Go.

Basically, Cinnamon resorts fo "fallback mode", which is not the same
as Cinnamon2d.

More details are below. Note that GLX is enabled, and I ran the
"Custom Desktop" command: cinnamon-session-cinnamon2d

----

When I connect, only gnome-panel is running. (Basically,
gnome-flashback is running, although package gnome-session-flashback
is not installed) It is very different from cinnamon2d, which works
locally, and there are many bugs in this version of
gnome-panel/gnome-flashback. For example, you cannot even set a
desktop background using the GUIs.

I also see a dialog with the text:
Do you want to restart Cinnamon?
Cinnamon just crashed. You are currently running in Fallback Mode.

If I click yes, the dialog comes back up. If I click No, I the dialog
closes, and the session is usable, but it's very buggy for
aforementioned reasons.

This is just a VM I setup for the specific purpose of testing Cinnamon
compatibility with X2Go.

I have the GLX extension enabled on my test system
(/etc/x2go/x2goagent.options has the line to disable GLX commented out)
- Linux mint 17 qiana (based on Ubuntu 12.04 trusty) 64-bit
- All latest level 1, 2 and 3 OS updates installed.
- cinnamon version 2.2.13
- Custom Desktop specified in x2goclient: cinnamon-session-cinnamon2d
- x2goserver & x2goserver-xsession: 4.0.1.15-0~847~ubuntu14.04.1
- nxagent & x2goagent: 2:3.5.0.27-0~446~ubuntu14.04.1

I've attached the contents of my .xsession-x2go-errors file.

Note the following session files:
batmin@mint-q /usr/share/cinnamon-session/sessions $ ls
cinnamon2d.session  cinnamon.session

batmin@mint-q /usr/share/cinnamon-session/sessions $ cat cinnamon2d.session
[Cinnamon Session]
Name=Cinnamon (Software Rendering)
RequiredComponents=cinnamon;cinnamon-settings-daemon;cinnamon-screensaver;nemo-autostart;nm-applet;
DesktopName=X-Cinnamon

batmin@mint-q /usr/share/xsessions $ ls
cinnamon2d.desktop  cinnamon.desktop

batmin@mint-q /usr/share/xsessions $ cat cinnamon2d.desktop
[Desktop Entry]
Name=Cinnamon (Software Rendering)
Comment=This session logs you into Cinnamon (using software rendering)
Exec=cinnamon-session-cinnamon2d
TryExec=/usr/bin/cinnamon2d
Icon=
Type=Application
X-Ubuntu-Gettext-Domain=cinnamon
X-GNOME-Provides=cinnamon2d

batmin@mint-q /usr/share/xsessions $ cat /usr/bin/cinnamon-session-cinnamon2d
#! /bin/sh
exec cinnamon-session --session cinnamon2d "$@"
[mint-q cinnamond2d 2.2.13 xsession-x2go-errors.txt (text/plain, attachment)]

Bug 150 cloned as bug 572 Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 16 Aug 2014 17:20:02 GMT) (full text, mbox, link).


Bug reassigned from package 'nxagent' to 'x2goserver'. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 16 Aug 2014 17:20:02 GMT) (full text, mbox, link).


Changed Bug title to 'x2goserver has the wrong logic for launching Cinnamon 2.0 and 2.2' from 'Cinnamon desktop requires GLX extensions > v6' Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 16 Aug 2014 17:20:02 GMT) (full text, mbox, link).


Marked as found in versions 4.0.1.15. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 16 Aug 2014 17:20:02 GMT) (full text, mbox, link).


Severity set to 'normal' from 'wishlist' Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 16 Aug 2014 17:20:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#572; Package x2goserver. (Sat, 16 Aug 2014 17:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 16 Aug 2014 17:30:02 GMT) (full text, mbox, link).


Message #54 received at 572@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 572@bugs.x2go.org
Subject: Important note about bug 572
Date: Sat, 16 Aug 2014 13:29:21 -0400
I'm about to commit a fix for this cloned bug. However, please note:

Fixing this bug in x2goserver is not sufficient to make Cinnamon & 2.0
& 2.2 to work properly with X2Go. Bug #150 in nx-libs is still a
problem. Fixing this bug will enable Cinnamon 2.0 and 2.2 to launch to
their "fallback mode", which has many bugs and missing features when
compared to "software rendering" mode (cinnamon2d), but is still
better than nothing.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#572; Package x2goserver. (Sat, 16 Aug 2014 17:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 16 Aug 2014 17:50:02 GMT) (full text, mbox, link).


Message #59 received at 572@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 572-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 572@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sat, 16 Aug 2014 19:47:26 +0200 (CEST)
tag #572 pending
fixed #572 4.0.1.16
thanks

Hello,

X2Go issue #572 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=4d6fb03

The issue will most likely be fixed in src:x2goserver (4.0.1.16).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 4d6fb035825f8e36db0771da6a6daab16f42c234
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Sat Aug 16 13:47:05 2014 -0400

    Fix support for Cinnamon 1.4. (Fixes: #569) Update the logic for launching Cinnamon 1.6 and 1.8. Fix the logic for launching Cinnamon 2.0 and 2.2. (Fixes: #572)

diff --git a/debian/changelog b/debian/changelog
index b58bcad..fc51359 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,6 +7,14 @@ x2goserver (4.0.1.16-0x2go1) UNRELEASED; urgency=low
        It also currently requires that the gnome-session binary not require
        hardware 3D acceleration for said session.)
       (Thanks Eugene San (eugenesan@gmail.com))
+    - Fix support for Cinnamon 1.4 (Linux Mint 13) (Fixes: #569)
+    - Fix the logic for launching Cinnamon 2.0 and 2.2 (Linux Mint 17).
+      (Fixes: #572)
+      NOTE: Fixing this bug in x2goserver is not sufficient to make Cinnamon 2.0
+      & 2.2 to work properly with X2Go. Bug #150 in nx-libs is still a problem.
+      Fixing this bug enables Cinnamon 2.0 and 2.2 to launch to their
+      "fallback mode", which has many bugs and missing features when compared to
+      "software rendering" mode (cinnamon2d), but is still better than nothing.
   * debian/rules:
     + Improve dh_auto_clean override.
 


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 16 Aug 2014 17:50:04 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.16. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 16 Aug 2014 17:50:04 GMT) (full text, mbox, link).


Message sent on to Mirco Schmidt <mirco.schmidt@mac.com>:
Bug#572. (Sat, 16 Aug 2014 17:50:05 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#572; Package x2goserver. (Thu, 25 Sep 2014 22:45:16 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 Sep 2014 22:45:16 GMT) (full text, mbox, link).


Message #71 received at 572@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 572-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 572@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 26 Sep 2014 00:42:17 +0200 (CEST)
close #572
thanks

Hello,

we are very hopeful that X2Go issue #572 reported by you
has been resolved in the new release (4.0.1.16) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.16)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c43b862f2ae0e8980fb7ab5e519d692b07da5a45;hp=98c4f84d83d701823b7887f79d0d9f5ce8233bd4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.16-0x2go1
Status: RELEASE
Date: Fri, 26 Sep 2014 00:36:32 +0200
Fixes: 122 302 397 406 407 458 468 495 506 511 520 523 524 543 547 558 569 572 573 574 599 605 606 617 619
Changes: 
 x2goserver (4.0.1.16-0x2go1) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.1.16):
     - Make X2Go Server aware of the Openbox desktop environment
       (Command: OPENBOX) (Fixes: #605)
     - Make X2Go Server aware of the IceWM desktop environment
       (Command: ICEWM) (Fixes: #606)
     - Support GNOME Flashback session (GNOME 3.8+) on distro releases such as
       Ubuntu 13.10+ and debian Jessie
       (NOTE: For most users, GNOME Flashback currently will not work.
        This requires that gnome-flashback.session actually be installed. Not
        every Linux distro has it available.
        It also requires that the gnome-session binary not require
        hardware 3D acceleration for said session. Currently, upstream GNOME
        and GNOME 3.8+ in all Linux distros do require this, only 3rd party
        builds do not. See X2Go bug #599 for example.)
       (Thanks Eugene San (eugenesan@gmail.com))
     - Fix launching GNOME 3 Fallback session (GNOME 3.4 & 3.6) on distros other
       than Ubuntu and Debian (Fixes: #599)
     - Fix support for Cinnamon 1.4 (Linux Mint 13) (Fixes: #569)
     - Fix the logic for launching Cinnamon 2.0 and 2.2 (Linux Mint 17).
       (Fixes: #572)
       NOTE: Fixing this bug in x2goserver is not sufficient to make Cinnamon 2.0
       & 2.2 to work properly with X2Go. Bug #150 in nx-libs is still a problem.
       Fixing this bug enables Cinnamon 2.0 and 2.2 to launch to their
       "fallback mode", which has many bugs and missing features when compared to
       "software rendering" mode (cinnamon2d), but is still better than nothing.
   * debian/rules:
     + Improve dh_auto_clean override.
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.16):
     - Let x2goversion exit with an error if the X2Go component cannot be
       found.
     - Detect terminated sessions from NX log file. Also interpret a session as
       terminated if terminating just has started.
     - Detect started/starting/resumed/resuming sessions by explicitly scanning
       the NX session log file for those keywords.
     - Interpret NX sessions marked as "aborting session" as (not yet) terminated
       sessions.
     - Provide config option for server-side/global clipboard behaviour in
       x2goagent.options. (Fixes: #506).
     - Be aware of poly-instantiated /tmp directories bind-mounted under
       /tmp-inst. (Fixes: #406).
     - On suspend: Call x2goumount-session before sending SIGHUP to x2goagent.
     - Refuse client communcation if server-side hostname is not set up
       correctly (Fixes: #468).
     - Fix string comparison in x2goumount-session.
     - Fix problems with unmounting shared folders on session suspension/
       termination. Remove extra parentheses from the fusermount execution
       call. (Fixes: #407).
     - Use type -p instead of which in x2goumount-session. Suppress output
       to stdout properly.
     - Use if--then--else--fi during x2goagent resuming in x2goresume-session
       script.
     - More reliably sync the NX session state with the status information in
       the X2Go session DB.
     - x2golistdesktops: Also detect sharable desktop sessions behind abstract
       kernel namespace sockets.
     - Add logcheck rules for X2Go Server. Thanks to Frank Werner for sending
       them in.
     - Correctly use diversions from stderr to stdout in shell commands.
       (Fixes: #520).
     - Don't die if no session state file is found, as it will break X2Go
       completely after upgrading from versions << 4.0.1.16 if sessions
       are still running/suspended during package upgrade.
     - Provide support for client-side choice of clipboard security. (Fixes:
       #524).
     - Use more quotes in x2goruncommand.
     - Detect the exit of rootless applications that forked to background on
       application execution. (Fixes: #122).
     - Make x2goruncommand more robust.
     - Don't fail Xsession startup if any of the profile scripts returns
       with an error.
     - Silently timeout in x2golistdesktops if calls to x2golistsessions and/or
       xwininfo don't produce output within one second. (Fixes: #543).
     - Allow email addresses as login usernames. (Fixes: #573).
     - Abort session startup if env var $USER or $SSH_CLIENT are not set.
       (Fixes: #558).
     - Allow length of username up to 48 characters (was: 32 characters). (Fixes:
       #574).
     - Abort session if env var $HOME is not set or if $HOME contains non-ASCII
       characters. (Fixes: #397).
     - Export XAUTHORITY env var in x2goruncommand to enable privilege upgrade
       for applications started via pkexec. (Fixes: #458).
     - x2gocleansessions: Don't print to stderr if the session state file cannot
       be found. This can happen during session startups. Report to system log
       instead.
     - Don't use Perl package File::ReadBackwards anymore.
     - Fix x2gormforward for 4.0.1.x release series (the X2Go::Log Perl module
       only exists in X2Go Server >= 4.1.0.0, the 4.0.1.x release series has to
       use x2gologlevel.pm in `x2gopath lib`. (Fixes: #617).
     - Pick x2gogetagentstate from 4.1.0.0 release series and adapt to usage
       with X2Go Server 4.0.1.x. (Fixes: #619).
   * debian/control, x2goserver.spec:
     + Update versioned D: x2goagent (>= 3.5.0.25). This assures that X2Go
       works with poly-instantiated /tmp directories.
     + Make sure x2gogetagentstate gets packaged in bin:package x2goserver.
     + Bump Standards: to 3.9.5. No changes needed.
     + Mark x2goserver-pyhoca bin:package as deprecated.
     + Drop D (x2goserver): libfile-readbackwards-perl.
   * x2goserver.spec:
     + Install {libdir}/x2go/x2gormforward into bin:package x2goserver.
     + Drop R (x2goserver): perl(File::ReadBackwards).
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.16):
     - x2gostartagent, x2golistsession, x2gosuspend-session and
       x2goresume-session getting agent state from ~/.x2go/C-$SID/state. This
       should help to avoid session damage. Remove nxcleanup. (Fixes: #302,
       #511).
     - Move session file to /tmp/.x2go-$USER. (Fixes: #523).
     - Fix x2gostartagent failures if kbd is not "auto". Remove comma at end of
       options file.
     - Set default value for clipboard to "both" in x2gostartagent and
       x2goresume-session.
     - Clean user SSHD process if connection between server and client lost.
       This should fix error "Global request tcpip-forward failed". (Fixes:
       #495, #547).
 .
   [ Orion Paplowski ]
   * x2goserver.spec:
     + Sync Fedora .spec file with our upstream-provided x2goserver.spec.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 25 Sep 2014 22:45:27 GMT) (full text, mbox, link).


Notification sent to Mirco Schmidt <mirco.schmidt@mac.com>:
Bug acknowledged by developer. (Thu, 25 Sep 2014 22:45:27 GMT) (full text, mbox, link).


Message sent on to Mirco Schmidt <mirco.schmidt@mac.com>:
Bug#572. (Thu, 25 Sep 2014 22:46:01 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 24 Oct 2014 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 3 21:05:38 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.